
locals {
  agent_config = var.agent_config
  allow_bastion_cluster_access = var.allow_bastion_cluster_access
  allow_node_port_access = var.allow_node_port_access
  allow_pod_internet_access = var.allow_pod_internet_access
  allow_rules_internal_lb = var.allow_rules_internal_lb
  allow_rules_public_lb = var.allow_rules_public_lb
  allow_worker_internet_access = var.allow_worker_internet_access
  allow_worker_ssh_access = var.allow_worker_ssh_access
  api_fingerprint = var.api_fingerprint
  api_private_key = var.api_private_key
  api_private_key_password = var.api_private_key_password
  api_private_key_path = var.api_private_key_path
  assign_dns = var.assign_dns
  assign_public_ip_to_control_plane = var.assign_public_ip_to_control_plane
  await_node_readiness = var.await_node_readiness
  bastion_allowed_cidrs = var.bastion_allowed_cidrs
  bastion_availability_domain = var.bastion_availability_domain
  bastion_defined_tags = var.bastion_defined_tags
  bastion_freeform_tags = var.bastion_freeform_tags
  bastion_image_id = var.bastion_image_id
  bastion_image_os = var.bastion_image_os
  bastion_image_os_version = var.bastion_image_os_version
  bastion_image_type = var.bastion_image_type
  bastion_is_public = var.bastion_is_public
  bastion_nsg_ids = var.bastion_nsg_ids
  bastion_public_ip = var.bastion_public_ip
  bastion_shape = var.bastion_shape
  bastion_upgrade = var.bastion_upgrade
  bastion_user = var.bastion_user
  cilium_helm_values = var.cilium_helm_values
  cilium_helm_values_files = var.cilium_helm_values_files
  cilium_helm_version = var.cilium_helm_version
  cilium_install = var.cilium_install
  cilium_namespace = var.cilium_namespace
  cilium_reapply = var.cilium_reapply
  cluster_autoscaler_helm_values = var.cluster_autoscaler_helm_values
  cluster_autoscaler_helm_values_files = var.cluster_autoscaler_helm_values_files
  cluster_autoscaler_helm_version = var.cluster_autoscaler_helm_version
  cluster_autoscaler_install = var.cluster_autoscaler_install
  cluster_autoscaler_namespace = var.cluster_autoscaler_namespace
  cluster_ca_cert = var.cluster_ca_cert
  cluster_defined_tags = var.cluster_defined_tags
  cluster_dns = var.cluster_dns
  cluster_freeform_tags = var.cluster_freeform_tags
  cluster_id = var.cluster_id
  cluster_kms_key_id = var.cluster_kms_key_id
  cluster_name = var.cluster_name
  cluster_type = var.cluster_type
  cni_type = var.cni_type
  compartment_id = var.compartment_id
  compartment_ocid = var.compartment_ocid
  config_file_profile = var.config_file_profile
  control_plane_allowed_cidrs = var.control_plane_allowed_cidrs
  control_plane_is_public = var.control_plane_is_public
  control_plane_nsg_ids = var.control_plane_nsg_ids
  create_bastion = var.create_bastion
  create_cluster = var.create_cluster
  create_drg = var.create_drg
  create_iam_autoscaler_policy = var.create_iam_autoscaler_policy
  create_iam_defined_tags = var.create_iam_defined_tags
  create_iam_kms_policy = var.create_iam_kms_policy
  create_iam_operator_policy = var.create_iam_operator_policy
  create_iam_resources = var.create_iam_resources
  create_iam_tag_namespace = var.create_iam_tag_namespace
  create_iam_worker_policy = var.create_iam_worker_policy
  create_operator = var.create_operator
  create_service_account = var.create_service_account
  create_vcn = var.create_vcn
  current_user_ocid = var.current_user_ocid
  dcgm_exporter_helm_values = var.dcgm_exporter_helm_values
  dcgm_exporter_helm_values_files = var.dcgm_exporter_helm_values_files
  dcgm_exporter_helm_version = var.dcgm_exporter_helm_version
  dcgm_exporter_install = var.dcgm_exporter_install
  dcgm_exporter_namespace = var.dcgm_exporter_namespace
  dcgm_exporter_reapply = var.dcgm_exporter_reapply
  defined_tags = var.defined_tags
  drg_attachments = var.drg_attachments
  drg_compartment_id = var.drg_compartment_id
  drg_display_name = var.drg_display_name
  drg_id = var.drg_id
  enable_waf = var.enable_waf
  freeform_tags = var.freeform_tags
  gatekeeper_helm_values = var.gatekeeper_helm_values
  gatekeeper_helm_values_files = var.gatekeeper_helm_values_files
  gatekeeper_helm_version = var.gatekeeper_helm_version
  gatekeeper_install = var.gatekeeper_install
  gatekeeper_namespace = var.gatekeeper_namespace
  home_region = var.home_region
  iam_defined_tags = var.iam_defined_tags
  iam_freeform_tags = var.iam_freeform_tags
  ig_route_table_id = var.ig_route_table_id
  image_signing_keys = var.image_signing_keys
  internet_gateway_route_rules = var.internet_gateway_route_rules
  kubeproxy_mode = var.kubeproxy_mode
  kubernetes_version = var.kubernetes_version
  load_balancers = var.load_balancers
  local_peering_gateways = var.local_peering_gateways
  lockdown_default_seclist = var.lockdown_default_seclist
  max_pods_per_node = var.max_pods_per_node
  metrics_server_helm_values = var.metrics_server_helm_values
  metrics_server_helm_values_files = var.metrics_server_helm_values_files
  metrics_server_helm_version = var.metrics_server_helm_version
  metrics_server_install = var.metrics_server_install
  metrics_server_namespace = var.metrics_server_namespace
  mpi_operator_deployment_url = var.mpi_operator_deployment_url
  mpi_operator_install = var.mpi_operator_install
  mpi_operator_namespace = var.mpi_operator_namespace
  mpi_operator_version = var.mpi_operator_version
  multus_daemonset_url = var.multus_daemonset_url
  multus_install = var.multus_install
  multus_namespace = var.multus_namespace
  multus_version = var.multus_version
  nat_gateway_public_ip_id = var.nat_gateway_public_ip_id
  nat_gateway_route_rules = var.nat_gateway_route_rules
  nat_route_table_id = var.nat_route_table_id
  network_compartment_id = var.network_compartment_id
  network_defined_tags = var.network_defined_tags
  network_freeform_tags = var.network_freeform_tags
  nsgs = var.nsgs
  ocir_email_address = var.ocir_email_address
  ocir_secret_id = var.ocir_secret_id
  ocir_secret_name = var.ocir_secret_name
  ocir_secret_namespace = var.ocir_secret_namespace
  ocir_username = var.ocir_username
  operator_availability_domain = var.operator_availability_domain
  operator_cloud_init = var.operator_cloud_init
  operator_defined_tags = var.operator_defined_tags
  operator_freeform_tags = var.operator_freeform_tags
  operator_image_id = var.operator_image_id
  operator_image_os = var.operator_image_os
  operator_image_os_version = var.operator_image_os_version
  operator_image_type = var.operator_image_type
  operator_install_helm = var.operator_install_helm
  operator_install_istioctl = var.operator_install_istioctl
  operator_install_k9s = var.operator_install_k9s
  operator_install_kubectl_from_repo = var.operator_install_kubectl_from_repo
  operator_install_kubectx = var.operator_install_kubectx
  operator_nsg_ids = var.operator_nsg_ids
  operator_private_ip = var.operator_private_ip
  operator_pv_transit_encryption = var.operator_pv_transit_encryption
  operator_shape = var.operator_shape
  operator_upgrade = var.operator_upgrade
  operator_user = var.operator_user
  operator_volume_kms_key_id = var.operator_volume_kms_key_id
  output_detail = var.output_detail
  persistent_volume_defined_tags = var.persistent_volume_defined_tags
  persistent_volume_freeform_tags = var.persistent_volume_freeform_tags
  platform_config = var.platform_config
  pod_nsg_ids = var.pod_nsg_ids
  pods_cidr = var.pods_cidr
  preferred_load_balancer = var.preferred_load_balancer
  prometheus_helm_values = var.prometheus_helm_values
  prometheus_helm_values_files = var.prometheus_helm_values_files
  prometheus_helm_version = var.prometheus_helm_version
  prometheus_install = var.prometheus_install
  prometheus_namespace = var.prometheus_namespace
  prometheus_reapply = var.prometheus_reapply
  rdma_cni_plugin_daemonset_url = var.rdma_cni_plugin_daemonset_url
  rdma_cni_plugin_install = var.rdma_cni_plugin_install
  rdma_cni_plugin_namespace = var.rdma_cni_plugin_namespace
  rdma_cni_plugin_version = var.rdma_cni_plugin_version
  region = var.region
  remote_peering_connections = var.remote_peering_connections
  service_accounts = var.service_accounts
  service_lb_defined_tags = var.service_lb_defined_tags
  service_lb_freeform_tags = var.service_lb_freeform_tags
  services_cidr = var.services_cidr
  sriov_cni_plugin_daemonset_url = var.sriov_cni_plugin_daemonset_url
  sriov_cni_plugin_install = var.sriov_cni_plugin_install
  sriov_cni_plugin_namespace = var.sriov_cni_plugin_namespace
  sriov_cni_plugin_version = var.sriov_cni_plugin_version
  sriov_device_plugin_daemonset_url = var.sriov_device_plugin_daemonset_url
  sriov_device_plugin_install = var.sriov_device_plugin_install
  sriov_device_plugin_namespace = var.sriov_device_plugin_namespace
  sriov_device_plugin_version = var.sriov_device_plugin_version
  ssh_private_key = var.ssh_private_key
  ssh_private_key_path = var.ssh_private_key_path
  ssh_public_key = var.ssh_public_key
  ssh_public_key_path = var.ssh_public_key_path
  state_id = var.state_id
  subnets = var.subnets
  tag_namespace = var.tag_namespace
  tenancy_id = var.tenancy_id
  tenancy_ocid = var.tenancy_ocid
  timezone = var.timezone
  use_defined_tags = var.use_defined_tags
  use_signed_images = var.use_signed_images
  user_id = var.user_id
  vcn_cidrs = var.vcn_cidrs
  vcn_create_internet_gateway = var.vcn_create_internet_gateway
  vcn_create_nat_gateway = var.vcn_create_nat_gateway
  vcn_create_service_gateway = var.vcn_create_service_gateway
  vcn_dns_label = var.vcn_dns_label
  vcn_id = var.vcn_id
  vcn_name = var.vcn_name
  whereabouts_daemonset_url = var.whereabouts_daemonset_url
  whereabouts_install = var.whereabouts_install
  whereabouts_namespace = var.whereabouts_namespace
  whereabouts_version = var.whereabouts_version
  worker_block_volume_type = var.worker_block_volume_type
  worker_capacity_reservation_id = var.worker_capacity_reservation_id
  worker_cloud_init = var.worker_cloud_init
  worker_compartment_id = var.worker_compartment_id
  worker_disable_default_cloud_init = var.worker_disable_default_cloud_init
  worker_drain_delete_local_data = var.worker_drain_delete_local_data
  worker_drain_ignore_daemonsets = var.worker_drain_ignore_daemonsets
  worker_drain_timeout_seconds = var.worker_drain_timeout_seconds
  worker_image_id = var.worker_image_id
  worker_image_os = var.worker_image_os
  worker_image_os_version = var.worker_image_os_version
  worker_image_type = var.worker_image_type
  worker_is_public = var.worker_is_public
  worker_node_labels = var.worker_node_labels
  worker_node_metadata = var.worker_node_metadata
  worker_nsg_ids = var.worker_nsg_ids
  worker_pool_mode = var.worker_pool_mode
  worker_pool_size = var.worker_pool_size
  worker_pools = var.worker_pools
  worker_preemptible_config = var.worker_preemptible_config
  worker_pv_transit_encryption = var.worker_pv_transit_encryption
  worker_shape = var.worker_shape
  worker_volume_kms_key_id = var.worker_volume_kms_key_id
  workers_defined_tags = var.workers_defined_tags
  workers_freeform_tags = var.workers_freeform_tags
}
